# QKD Orchestration Interface for Interoperable KMS for SDN

This repository contains the draft YANG models that are currently under development along with ETSI GS QKD 021 "Quantum Key Distribution (QKD); Orchestration Interface of Software Defined Networks for Interoperable key management system" by 
[ETSI ISG QKD](https://www.etsi.org/committee/qkd) in work item 
[DGS/QKD-021_OrchInterKMS](https://portal.etsi.org/webapp/WorkProgram/Report_WorkItem.asp?WKI_ID=67987).

The deliverable will specify an orchestration interface for use between SDN controllers of QKD networks that are cooperating via interoperable Key Management Systems and an SDN orchestrator.

**IMPORTANT: These models are under development and subject to change.**

## Related ISG QKD Repositories

- [YANG models](https://forge.etsi.org/rep/qkd/gs015-ctrl-int-sdn) for
  ETSI GS QKD 015 "Quantum Key Distribution (QKD); Control Interface for SDN"
- [YANG models](https://forge.etsi.org/rep/qkd/gs018-orch-int-sdn) for
  ETSI GS QKD 018 "Quantum Key Distribution (QKD); QKD Orchestration Interface for SDN"

## Contact

For inquiries, contact `isgsupport` at `etsi` dot `org`.

## License

See LICENSE file and https://forge.etsi.org/legal-matters
